<div class="wrapper">
<div class="update-dashboard-container" *ngIf="modalService.isModalOpenUpdate">
    <div class="input-field-container">
    <input type="text" placeholder="name" #name="ngModel" ngModel 
          required minlength="3" class="input-name">
          <div
        *ngIf="name.invalid && (name.dirty || name.touched)"
        >
        <div *ngIf="name.errors?.['required']" class="error-field">
            Name is required
          </div>
          <div *ngIf="name.errors?.['minlength']" class="error-field">
            Name must be at least 4 characters long
          </div>
        </div>
    </div>
<div class="button-field-container">
    <button type="button" (click)="updateBoard(name.value)" class="btn-update"
    >Update dashboard</button>
<p>{{item}}</p>
       <button type="button" (click)="modalService.closeModalUpdate()" class="btn-close"
       >Close me</button>
       </div>
    </div>
</div>
      